Welcome

Welcome to Readiris™ Help...

  • Use on-line help to learn more about Readiris.

  • Quickly find answers to questions.

  • Connect to the I.R.I.S. web site for latest tips and product updates.

©2001 Copyright I.R.I.S. All rights reserved


How the OCR Process Works

  • The document is read by your scanner. The scanner acts as the “eye” of your computer and sends it the image in a digitized form. At this point, the scanned image is no more than a meaningless cloud of intense points (“ pixels ”) on a lighter background.

  • Intelligent routines convert color and greyscale images into black-and-white images.

  • The OCR software extracts text information from the black-and-white pixels: it recognizes the shapes and assigns characters.

  • Line segmentation consists of slicing a page of text into its different lines. This step also analyses lineskew, interline spacing and drop letters, and separates touching lines.

  • The word segmentation isolate one word from another.

  • The character segmentation separates the various letters of a word. If the characters have the same width (fixed pitch), this step is easy. The problem gets more interesting when the width of the letters depends on their shape (proportional pitch), when kerning occurs and when dot matrix fonts are used.

  • The character recognition extracts characteristics out of each isolated shape and assigns a symbol. The three most important stages are the autolearning phase, topological analysis and the optional interactive phase. During the recognition, linguistic knowledge is used to validate correct solutions and flag suspicious ones.


Character Isolation

  • Readiris copes beautifully with touching characters (“ligatures”) and kerning.

  • For dot matrix fonts, highly specific segmentation techniques are used.

  • Recognition of any font is possible if the system manages to isolate a sufficient number of characters. Readiris does not read extremely stylized, “script”-like fonts, where character segmentation is impossible.


Character Size

  • Readiris reads fonts with a size range of 6 to 72 points (1” high).

6 pt

72 pt

  • Readiris copes with drop letters.

Tip: select a resolution higher than 300 dpi to read small print (smaller than 10 point).


Printing Quality

  • Readiris reads virtually any printing quality: typeset, typewritten, laser printed, inkjet printed, letter quality dot matrix printed texts and draft dot matrix printing.

  • Draft dot matrix printed texts - where characters are composed of clouds of isolated dots - require highly specific segmentation and recognition techniques.

  • All handwritten texts are excluded.

Tip: Readiris can detect the correct font type for you!


Character Sets

  • Readiris recognizes all American and European character sets, including the Baltic, Central-European, Greek and Cyrillic (“Russian”) alphabets.

  • Optionally, you can read Japanese, Simplified Chinese, Traditional Chinese and Korean.

  • The list of recognized characters varies according to the selected document language.

  • When you select Cyrillic-English, Greek-English or an Asian language, a mixed character set is used. Readiris copes beautifully with “Western” words (proper names etc.) as occur in Cyrillic, Greek and Asian documents.

  • Readiris can limit recognition to a numeric character set to recognize tables of figures which contain no text.

  • Readiris can be trained on any special symbol - be it mathematic or scientific symbols, dingbats etc.


How to OCR a Document

  • Select the input source: you capture images using your scanner or open prescanned images - for instance faxes or images generated by a digital camera.

  • Be sure that your scanner is selected and that its settings are correct.

  • Scan the page with your scanner or open the image file.

  • Have a closer look at the scanned page to control the image quality.

  • If the page analysis is enabled, the text windows, graphics and tables are detected automatically. Perform “sorting” to select the windows of interest and define their order. If the page analysis is disabled, use manual windowing or a zoning layout to indicate which blocks you want to recognize.

  • Specify the document’s language and characteristics.

  • Start the character recognition.

  • You may interrupt at any time by clicking the Stop button (or pressing Escape).

  • If learning is enabled, you’ll enter the interactive phase.

  • Save the recognized text in a text file, send it directly to a target application or copy it to the clipboard. You can create a new file or append an existing text file.

Tip: the OCR wizard guides you through the OCR process comfortably - answer a few simple questions and you’ll obtain quick and easy results.

Tip: “automatic” OCR automates the recognition to the max - the user simply initiates the scanning and saves the text result.

Tip: use the scanner’s document feeder (ADF) to efficiently convert a multipage document.


Automatic Recognition

“Automatic” OCR offers “single-click” OCR. The recognition is reduced to a minimum: the user simply starts the scanning and saves the text result.

  • Page analysis or a windowing template is used to decompose the page.

  • Interactive learning is disabled.

  • All other settings apply: the document language, font type, text format etc. are as currently selected.

Tip: the OCR wizard offers a semi-automatic way of recognizing pages.


OCR Wizard

Operation

  • The OCR wizard offers a semi-automatic way of recognizing pages.

  • The wizard guides you through the OCR process comfortably: answer a few simple questions and you’ll obtain quick and easy results.

Tip: the Auto button offers a fully automatic way of recognizing pages.

How to…?

  • The OCR wizard is enabled on the main toolbar with the option Enable Wizard on Toolbar. When this option is enabled, you’ll find the OCR Wizard button on the toolbar, when it is disabled, the same button acts as Auto button to trigger automatic recognition.

  • The OCR wizard starts running each time you start up Readiris when the option Enable Wizard on Startup is enabled. (This option is enabled by default.)


Recognizing Multipage Documents

Scanning multipage documents

  • Enable the scanner’s document feeder (ADF).

  • Place the pages in the document feeder and start the scanning.

  • All pages are scanned until the document feeder is empty.

Loading prescanned images

  • The Open command is used to open prescanned images.

  • To select several images, select the first image and hold down the Ctrl key as you select additional images.

  • To select a continuous range of images, select the first image and hold down the Shift key as you select the last image.

Tip: to open prescanned images, right-click them (Context menu) in the Windows Explorer and select the command Recognize. You can also drag them from the Windows Explorer onto the Readiris window or the Readiris icon.

Starting a new (multipage) document

Use the command New Document to erase all images from memory.

Navigating through multipage documents

The page toolbar allows you to navigate comfortably through multipage documents.

Editing multipage documents

You can delete pages and move pages to another location in the document.

Recognizing multipage documents

  • The pages are displayed successively; the title bar indicates the page number.

  • If the interactive learning is enabled, you go through the learning page by page. (The dictionary mode “New” is used for the first page and the mode “Append” for the successive pages.)

  • The recognition result is saved in a single output file. If you send the recognition result to a target application, various pages are created.


How to OCR Tables

Readiris outputs tabular data to spreadsheets and wordprocessors: tables get reconstructed cell by cell in worksheets and inserted as table objects in wordprocessor files.

Windowing

  • The page analysis detects “gridded” and “non-gridded” tables: “gridded” or “framed” tables have borders around the cells, “non-gridded” tables are not surrounded by cell borders.

  • When the space between the columns of “non-gridded” tables is too big, Readiris may avoid windowing them as tables to avoid confusion with text columns.

Selecting the “language”

  • When you limit recognition to the numeric character set, the symbols “0” to “9”, “+”, “*”, “/”, “%”, “,“”, “.”, “(”, “)”, “-”, “=”, “$”, “£” and the Euro symbol will be recognized.

  • Do not select this option when your tables contain text!

Output mode

  • To interface with spreadsheets, send the table directly to Microsoft Excel or select a table format.

  • To interface with wordprocessors, send the table directly to Microsoft Word or select the text format Word (DOC) or RTF. You must retain the word and paragraph formatting or recreate the source document.

Using the “Connect” capability

Use the Connect feature to scan tables directly from within the Excel spreadsheet.


How to OCR Faxes

Operation

Readiris opens black-and-white, greyscale and color images in the JPEG, Paintbrush (PCX), (compressed) TIFF and Windows bitmap (BMP) format.

How to…?

  • Select the disk as input source to open prescanned images. Proceed as usual.

  • Readiris issues a warning when you’re submitting images with a resolution lower than 200 dpi (or higher than 800 dpi).

Tip: right-click images (Context menu) in the Windows Explorer and select the command Recognize or drag them from the Windows Explorer onto the Readiris window or onto the Readiris icon.

Tip: should you have any influence over your correspondents, ask them to send faxes with the “fine” quality - those faxes have the higher resolution of 200 dpi and will yield better OCR results.

Tip: the option Force to 300 dpi eliminates the warning that you’re submitting images with a resolution lower than 200 dpi (or higher than 800 dpi).


Recognizing Asian Documents

Asian languages

  • Readiris optionally offers recognition of the Asian languages Japanese, Simplified Chinese, Traditional Chinese and Korean.

  • Simplified Chinese is used on China’s mainland, where Traditional Chinese is used by the “Big 5” communities - Hong Kong, Taiwan, Singapore etc.

Tip: a large number of Asian languages such as Malay, Tagalog etc. are supported by the “standard” Readiris software because they use the Latin alphabet!

Working environment

  • To view and edit Asian documents, you can use Word 2002 (Office XP) or Word 2000 (Office 2000) or install an Asian version of the Windows operating system.

  • Alternatively, you can run specialized “emulating” software (such as UnionWay AsianSuite or TwinBridge AsianBridge) on a Western version of Windows to correctly represent the ideograms of these languages.

Page analysis

  • Select the document language before executing the page analysis when you are dealing with Asian documents.

  • Specific routines are used for these languages: the interline spacing of Asian documents is in most cases bigger than in Western documents, the text is made up of small icons (“ideograms”) that could easily be seen as graphic zones in Western documents and the text may run from top to bottom, from right to left.

Tip: if you forgot to select the proper language, select it afterwards. Readiris re-executes the page analysis automatically!

Character sets

When you select an Asian language, a mixed character set is used. Readiris copes beautifully with “Western” words (proper names etc.) as occur in Asian documents.

Document characteristics

The commands Font Type and Character Pitch do not apply to Asian documents.

Interactive learning

  • Interactive learning does not apply to Asian documents.

  • Learning does not make sense for these languages which use thousands of different symbols - and you’d have to be able to enter the ideograms, not an easy task when using a Western keyboard!

Text formatting

  • The number of file formats is reduced.

  • Generating Asian text implies creating body text - you cannot apply “autoformatting” or retain the word and paragraph formatting.


Page Analysis - Analyze Page

Operation

  • You avoid the manual windowing of the various zones as Readiris decomposes the page automatically. This is particularly useful when columnized texts and documents with a complex page layout - possibly including graphics and tables - are OCRed.

  • There are three window types: text blocks, tables and graphic zones containing photos, illustrations etc.

  • A color code indicates the window type: text windows are yellow, graphics are blue and table windows are purple. (The windows have a colored border but no “fill” color - the actual color tones of your scans are not masked.)

  • The windows are sorted top-down, left to right to account for columnized documents but you can change their sort order.

  • Page analysis is fast, skew-tolerant and highly accurate - it “detects” irregular shapes.

  • The page analysis detects “gridded” and “non-gridded” tables: “gridded” or “framed” tables have borders around the cells, “non-gridded” tables are not surrounded by cell borders. (When the space between the columns of “non-gridded” tables, Readiris may avoid windowing it as a table to avoid confusion with text columns.)

  • Page analysis detects zones where you get white text on a black background. (Readiris “inverts” the image when the need arises to recognize such text blocks!)

  • Specific routines are used for Asian documents: the interline spacing of Asian documents is in most cases bigger than in Western documents, the text is made up of small icons (“ideograms”) that could easily be seen as graphic zones in Western documents and the text may run from top to bottom, from right to left.

How to…?

  • To decompose the scanned documents automatically, enable the option Page Analysis.

  • To make Readiris decompose the current page, use the command Analyze Page.

Tip: the page analysis is re-executed when you rotate and deskew an image.

Tip: select the document language before executing the page analysis when you are dealing with Asian documents.

Tip: if you forgot to select the proper language, select it afterwards. Readiris re-executes the page analysis automatically!


Page Deskewing - Deskew Page

Operation

  • Although page analysis and recognition are skew-tolerant, it may become difficult to window and OCR a page correctly when the skew is too significant.

  • Limited lineskew (less than 0.5°) can be ignored because the OCR accuracy does not suffer.

How to…?

  • The option Page Deskewing determines whether pages which were scanned at an angle will be deskewed, straightened automatically. (Limited lineskew is ignored.)

  • The command Deskew Page straightens pages which were scanned at an angle. The page analysis gets re-executed afterwards.

Tip: don’t confuse with the detection of the page orientation - that routine corrects images that were scanned at a 90°, 180° or 270° angle!


Windowing Tools

Operation

  • Windows are drawn on a displayed image to indicate which text and table zones you want to recognize and which graphics you want to save.

  • There are three window types: text blocks, graphic zones (containing photos, illustrations etc.) and tables.

  • A color code indicates the window type: text windows have a yellow border, graphics a blue border and table windows a purple border. (No “fill” color is used because it would mask the actual color tones of the zone.)

  • There are three different methods of zoning images: automatic page analysis, manual windowing and the use of fixed layouts.

  • Drawing or detecting several windows is mandatory whenever a text is arranged in columns.

Page analysis

  • To decompose all scanned documents automatically, enable the option Page Analysis.

  • To make Readiris decompose the current page, use the command Analyze Page.

  • To select windows and modify their sort order, use the Sort command.

  • Select the document language before executing the page analysis when you are dealing with Asian documents. Specific routines are used for these languages: the interline spacing of Asian documents is in most cases bigger than in Western documents, the text is made up of small icons (“ideograms”) that could easily be seen as graphic zones in Western documents and the text may run from top to bottom, from right to left.

Manual windowing

Tools are available to draw windows manually on the scanned image.

Tip: right-click the mouse (Context menu) and select the command Window - Type to modify the zone type.

Page analysis with manual windowing

  • Apply page analysis to detect the windows and sort the ones you want to include.

  • Start drawing a window manually - all windows you didn’t select are erased.

Window layouts

Specific zoning templates can be stored for future use.


How to Use Windows

Creating windows

  • Select the text, graphic or table window tool. The mouse pointer assumes the shape of a crossbar.

  • Move the cursor to a corner of the window you want to create and click.

  • Stretch the window by moving the cursor to the opposite corner and click again.

Tip: create polygonal windows by merging rectangular zones. Whenever two windows (of the same type) intersect, they become a polygon automatically. (Creating polygonal table windows makes no sense.)

Changing the window type

Right-click a window and select the command Window - Type (from the Context menu) to change the window type - text, graphic or table.

Selecting Windows

  • Select the “arrow” tool and click inside a window to select a window. Markers appear at each corner and in the middle of the window sides.

  • To unselect windows, click the mouse button elsewhere.

  • To select additional windows, hold down the Shift key while clicking inside these windows.

  • To select a window and the included windows (of another type), hold down the Ctrl key while clicking inside the main window.

  • Choose the command Select All to select all windows.

Tip: you can display the type, coordinates and sort order of a window by pressing the Alt key while you select it!

Modifying windows

  • Select the window(s).

  • Place your cursor over a marker.

  • Drag the mouse to change the window size.

Moving windows

  • Select the window(s).

  • Drag the mouse to modify the position of the window(s).

Deleting windows

  • Select the window(s). (Choose the command Select All to select all windows.)

  • Select the command Cut to cut the selected window(s) to an internal buffer.

  • Select the command Clear to delete the selected window(s) irretrievably.

Tip: use the corresponding shortcut keys!

Tip: right-click the mouse (Context menu) and select the command Delete Window to delete all selected windows and the window under the mouse cursor.

Tip: use the command Delete Small Windows to erase all smaller windows.


Scanner

Scanner model

  • Select your scanner model - the scanner has to be connected to your PC and ready!

  • Readiris supports almost every flatbed and sheetfed scanner, “all-in-one” MFP (“Multifunctional Peripheral”), digital camera and scanner standard currently available. Readiris is Twain compliant.

  • You’ll find information on scanner setup in the “Read Me” files. Refer to these files if you experience any problem with your scanner, and consult the hardware documentation that came with your scanner.

  • If you select “<Image>” as “scanner” model, prescanned images function as image source.

Scanner settings

  • Select the scanner type: enable the option Digital Camera when the images are acquired using a digital camera.

  • Select the color mode: Readiris supports black-and-white, greyscale and color images.

  • Set the scanner settings: resolution, page format and orientation, brightness and contrast.

Optimal OCR requires a resolution between 300 and 400 dpi. Readiris warns you when you’re submitting images with a resolution lower than 200 dpi or higher than 800 dpi.

  • Options not supported by the selected scanner will be not displayed. With Twain compliant scanners, the scan settings are often set within the Twain module.

  • Enable the scanner’s document feeder (ADF) to scan multipage documents.

  • The option Invert allows the user to generate “inverted” black-and-white images - this option is enabled to process full pages with white text on a black background.

  • With Twain and HP scanners, you can enable the auto-exposure option to automatically adjust the brightness and contrast to the scanned document.

  • The option Force to 300 dpi eliminates the warning that you’re submitting images with a resolution lower than 200 dpi or higher than 800 dpi. Use this option when you’re generating images with a digital camera - where the resolution is unknown.


Controlling the Image Quality

The recognition rate is greatly dependant on the document and scanning quality. Taking a closer look at the scanned image is useful to control this quality.

  • With too light documents, characters get broken up: “O” may become “()” etc.

  • Too dark documents contain very heavy shapes, open letters get closed and too many characters are glued together: “c” becomes an “o” etc.

How to…?

  • Adjust the quality of the scanned image by modifying the scanning brightness of your scanner.

  • Scan your documents in greyscale or color when the text is printed on a color background.

  • Use the command Adjust Image to enhance the scanned image for the OCR process.

  • With Twain and HP scanners, you can enable the auto-exposure option to automatically adjust the brightness and contrast to the scanned document.


Navigating through Multipage Documents

Operation

The page toolbar highlights the current page.

How to…?

  • To go to a page, hold your cursor over its icon in the page toolbar, right-click (Context menu) and use the command Select Page. Tip: click on a page icon in the page toolbar.

  • To go to the previous and next page, use the commands Previous Page and Next Page. Tip: press PageUp to go to the previous page, press PageDown to go to the next page.


Editing Multipage Documents

  • To delete a page from the document, select it, right-click it in the page toolbar (Context menu) and use the command Delete Page.

  • To move a page up in the document, select it, right-click it in the page toolbar (Context menu) and use the command Move Page Up.

  • To move a page down in the document, select it, right-click it in the page toolbar (Context menu) and use the command Move Page Down.


How to OCR Images from Digital Cameras

Operation

Readiris opens black-and-white, greyscale and color images in the JPEG, Paintbrush (PCX), (compressed) TIFF and Windows bitmap (BMP) format.

How to…?

  • Select the disk as input source to open prescanned images.

  • Enable the option Digital Camera to make Readiris use special recognition routines optimized for the low-resolution images of digital cameras. Good recognition requires an image resolution of 300 dpi. Digital cameras typically produce images with a significantly lower resolution - even when you hold the camera close to the document.

Tip: when you submit images with a resolution below 200 dpi to Readiris without enabling this option, Readiris issues a warning asking you to rescan the page.

  • Enable the option Force as 300 dpi to ensure that Readiris processes low-resolution images normally - that is without issuing a warning.

Capture tips

Your camera model determines which options are supported.

  • Select the highest image resolution. Create for instance 2,048 x 1,536 size images when 1,024 x 768 and 640 x 480 images are also supported.

  • Enable the “macro” mode of your camera to take closeups - which is always the case when you photograph documents. (This mode was designed to capture flowers, insects etc.) Otherwise, the images are unsharp and illegible.

  • Limit yourself to no or small compression - important compression reduces the sharpness of the captured text.

  • Hold the camera directly above the document to avoid capturing the document at an angle. However, avoid shadows cast on the document by the camera or your hand!

  • Produce stable images. Consider mounting your camera on a tripod when necessary.

  • Zoom manually to crop your document. (Some cameras are bundled with photo stitching software, but don’t bother using it for document capture.)

  • Disable the flash when you’re filming glossy paper, otherwise the image may be too light.

  • Select a color mode: most digital cameras support greyscale and color images.

  • Adapt the brightness and contrast to the environment - day light, lamp light, neon light etc.

  • Calibrate the camera by filming a white document.


Font Type

  • Use the setting Automatic to have Readiris detect the printing quality for you. This mode supports all printing qualities - typeset, typewritten, laser printed, inkjet printed, letter quality dot matrix printing and draft dot matrix printing.

  • Use the setting Dot Matrix strictly for draft dot matrix printing: such texts require highly specialized segmentation and recognition techniques.

  • This command does not apply to Asian documents!

Tip: the tooltip of the Recognize button indicates the reading mode. When no message is added, the “automatic” font type detection applies, when the message “Dot matrix” is added, the dot matrix reading mode is enabled.


Text Format

Output modes

  • Select an output mode: save the results to an external file (with a document format supported by your text application), place the results in the Windows clipboard or send the recognized document to a target application.

  • Readiris outputs to a large number of word processors, spreadsheets and “poor” text formats that generate “plain text”. Readiris exports data directly to Microsoft Word, Microsoft Excel and the Windows accessory WordPad.

Text formatting

  • The option Create Body Text avoids text formatting by Readiris: you get a continuous, running text. All formatting, if any, is done afterwards by the user.

  • With the option Retain Word and Paragraph Formatting, the font type (serif - sans serif, proportional - fixed, normal - condensed), size and typestyle (bold - italic - underlined) are maintained across the recognition. The tabs and the alignment (left - centered - right - justified) of each block are recreated. However, no graphics are captured, the text blocks and columns aren’t recreated - the paragraph just follow each other. The tables are recaptured correctly.

  • The option Recreate Source Document recreates a facsimile copy of the original document: the text blocks, tables and graphics are recreated in the same place and the word and paragraph formatting are maintained across the recognition. As a result, you get a true copy of your source document, be it a compact and editable text file, no longer a scanned image of your document.

  • Which formatting options are available depends on the selected output mode and language: the options Retain Word and Paragraph Formatting and Recreate Source Document are limited to the Word (DOC) and RTF formats. “Poor” text formats generating “plain” text (such as ANSI) do not support advanced formatting codes. For Asian documents, output is limited to body text.

Options

  • Merge Lines into Paragraphs enables the automatic paragraph detection. This prevents the insertion of carriage returns (CR or EOL codes) at the end of each line, Readiris wordwraps the recognized text until a new paragraph starts, and “reglues” hyphenated words at the end of a line. (This option is not available for Adobe Acrobat files: PDF files always store text line by line.)

  • Include Graphics includes the graphics in “autoformatted” text files.

  • Create Bookmarks creates bookmarks for the text windows, graphics and tables in Adobe Acrobat PDF files.

  • Create Thumbnails embeds thumbnails in Adobe Acrobat PDF files.

Table recognition - spreadsheets

Readiris outputs tabular data to spreadsheets and word processors: tables gets reconstructed cell by cell in worksheets and inserted as table objects in word processor files.

  • Tables can be sent to the spreadsheet Microsoft Excel and the word processor Microsoft Word, can be sent to the clipboard, saved inside a Word (DOC) and RTF file, and saved using a table format.

  • Retain the word and paragraph formatting or recreate the source document.

Asian documents

  • The number of file formats is reduced.

  • Generating Asian text implies creating body text - you cannot apply “autoformatting” or retain the word and paragraph formatting.


Language

  • Readiris recognizes all American and European languages, including the Baltic, Central-European languages, Greek and the Cyrillic (“Russian”) languages.

  • Optionally, you can read the Asian languages Japanese, Simplified Chinese, Traditional Chinese and Korean.

  • The list of recognized characters varies according to the selected document language.

  • Recognition is assisted by a linguistic database. Readiris extensively uses linguistic information to validate good solutions and mark suspicious ones.

  • When you select Cyrillic-English, Greek-English or an Asian language, a mixed character set is used. Readiris copes beautifully with “Western” words (proper names etc.) as occur in Russian, Greek and Asian documents.

  • To mix other languages on a page, select the language with the most extended character set. To read documents where English and French occur alongside, select French as language to ensure that the accentuated characters - as in “ç”, “é” and “ù” - recognized correctly.

  • Limit recognition to a numeric character set to optimally OCR tables of figures. The symbols “0” to “9”, “+”, “*”, “/”, “%”, “,”, “.”, “(”, “)”, “-”, “=”, “$”, “£” and the Euro symbol will be recognized. Do not select this option when your tables contain text!

  • Select the document language before executing the page analysis when you are dealing with Asian documents. Specific page analysis routines are used for Asian documents.


Learning Fonts

If Readiris is unsure about a reading result, the doubtful character (or character string) is displayed with its parent word and the proposed solution is presented.

Verify (in the window title) if the correct font dictionary and dictionary mode are enabled - click the button Abort and start again if this is not the case.

Enter the valid character (or character string) if necessary and select one of the following buttons.

Learn

You agree with or correct the proposed solution. Readiris saves the solution in the dictionary as sure. Future recognition will no longer require your intervention.

Don’t Learn

You agree with or correct the proposed solution. Readiris saves the solution in the dictionary as unsure. Future recognition will still require your intervention.

Use this command for damaged characters which could be confused with other characters if learned. A typical example is the number '1’ and the letter “l”, which have an identical form in many fonts.

Delete

Deletes characters from the output. Use this button to prevent noise on your document from appearing in the output file as periods, commas etc.

Undo

You go back, correct mistakes. Readiris keeps track of the nine last operations.

Finish

Aborts the learning phase, Readiris runs automatically thereafter. You accept every solution of the software.

Abort

Aborts the OCR. This option is used when an incorrect font dictionary or dictionary mode are enabled. All results are deleted and you start over again. (Don’t confuse with Finish, where the recognition results are maintained!)


Save Graphics - Save Full Page As Image - Save All Pages As Images

Operation

  • Readiris supports black-and-white, greyscale and color images. Select the appropriate scanning mode.

  • You can save the graphic windows only - without performing recognition on the text and table windows.

  • You can include the graphics in the text file by selecting the autoformatting option Recreate Source Document and enabling the option Include Graphics.

  • You can save entire scanned documents in image files for deferred recognition.

Saving graphics

  • The command Save Graphics saves the graphic windows only - without performing text recognition on the text and table windows.

  • You can create several graphic windows per operation, but these will be collected in a single file.

  • Select a graphic format supported by your photo retouching software.

  • Select the graphic window tool to zone a graphic, illustration etc.

Saving full pages as images - deferred OCR - fax recognition - digital cameras

  • The command Save Full Page as Image saves the entire page in an image file.

  • The command Save All Pages as Images saves all document pages in a multipage image file.

  • Deferred OCR is run on prescanned images. You can scan a document, save the pages as an image and recognize the image file later on!

  • A similar procedure is used to recognize faxes: images in the JPEG, Paintbrush (PCX), (compressed) TIFF and Windows bitmap (BMP) format, mainly faxes, can be opened.

  • To recognize images captured with a digital camera, enable the option Digital Camera.


Installing the Connect Capability

Preliminary step

Start Readiris, select your scanner and save the default settings.

Word 2002 (Office XP), Word 2000 (Office 2000) and Word 97 (Office 97)

  • Start Word. Open the document CONWRD97.DOT.

  • Create a new file.

The command Scan Text is added to the File menu.

Word 2.0 to 7.0 (Office 95)

  • Start Word. Open the document CONNECT.DOC in the Readiris folder for Word 2.0 and Word 6.0, or open the document CONNECT7.DOC for Word 7.0 (Office 95).

  • Answer the questions posed by the system. Answer yes when you are asked to save the global command changes.

  • Create a new file.

The command Scan Text is added to the File menu.

Excel 2002 (Office XP), 2000 (Office 2000) and Excel 97 (Office 97)

Start Excel. Open the document CONX97.XLS in the Readiris folder.

The menu Scan Table is added to the menu bar.

Excel 3.0 to 7.0 (Office 95)

  • Copy the file CONNECT3.XLM if you are running Excel 3.0, CONNECT4.XLM if you are running Excel 4.0 or 5.0, connect7.xlm if you are running Excel 7.0 (Office 95), from the Readiris folder to the subfolder XLSTART of Excel.

  • Rename the copied file CONNECT.XLM.

  • Start Excel.

The command Scan Table is added to the File menu.

Corel WordPerfect 6.0 and 5.x

  • Start WordPerfect.

  • Install the Connect macro under WordPerfect. Your WordPerfect manual can tell you how: with WordPerfect 5.x, the command Assign to Menu under the Macro menu is used, with WordPerfect 6.0, the command Macro under the Tools menu.

  • Enter the macro name CONNECT.WCM for WordPerfect 5.x or CONNECT6.WCM for WordPerfect 6.0, preceded by the pathname of the Readiris folder.

The new command is added to the Macro menu.


Uninstalling a Connect Macro

Items to remove

It takes two manual steps to “uninstall” a Connect macro: you have to remove the macro, and remove the added command from your command menus.

Removing the macro

  • Remove the macro irisocr.

  • How you remove macros differs for each application. Consult the documentation that came with your software program to learn how to remove a macro. Generally speaking, you should look for a Macro command.

Restoring the original menu commands

  • Remove the command Scan Text or Scan Table from the command menu or remove the menu Scan Table from the menu bar.

  • How you remove a menu or menu commands differs for each application. Consult the documentation that came with your software program to learn how to remove a menu or menu command. Generally speaking, you should look for a Customize command.


Using the Connect Capability

  • Readiris can not run in the background.

  • Click on the new command or the new menu in your application to run Readiris.

  • The Connect interface may ask you some questions before Readiris starts running.

  • Proceed as usual and quit the Connect interface when you are through. The recognition results are inserted at the current cursor position.


New Document

This command “cleans the slate”.

When a multipage document was loaded into memory, all images are erased from memory.

You are now ready to create a new (multipage) document.


File Menu

Allows to save and retrieve Readiris settings and windowing layouts and opens and saves images.

New Document

You create a new (multipage) document.

Open

Opens black-and-white, greyscale and color images, mostly faxes.

Tip: right-click images (Context menu) in the Windows Explorer and select the command Recognize. You can also drag images from the Windows Explorer onto the Readiris window or the Readiris icon.

Tip: don’t forget to enable the option Digital Camera when the images were produced by a digital camera!

Tip: the option Force to 300 dpi eliminates the warning when you’re submitting images with a resolution lower than 200 dpi or higher than 800 dpi. Use this option to read faxes - which have a resolution of 100 or 200 dpi -, to open images generated by a digital camera - where the resolution is unknown - and to open images where the file header contains an incorrect resolution.

Save Graphics

Saves the graphic windows.

Save Full Page as Image

Saves the entire page as a graphic for deferred OCR.

Save All Pages as Images

Saves all pages of the document in a multipage image file for deferred OCR.

Info

Displays the current Readiris settings.

Select Source

Selects and sets a scanner input source. Twain scanner standard feature.

Acquire

Acquires an image. Twain scanner standard feature.

Load Layout

Retrieves a windows layout.

Save Layout

Saves a windowing layout as drawn on an image.

Load Settings

Recovers a Readiris configuration.

Save Settings

Saves the Readiris settings.

Save Default Settings

Saves the current Readiris settings as default for the next startup.

Exit

Quits the Readiris software.


Layouts

Operation

  • Layout files contain predefined windowing structures. Zoning templates are particularly useful when documents with a similar page layout are OCRed.

  • Using layouts is an alternative to page analysis and manual windowing.

How to…?

  • Layouts as defined on a scanned document are saved with the command Save Layout.

  • Layouts are loaded with the command Load Layout. Loading a layout into memory disables the page analysis. The layout remains activated until you re-enable page analysis.


Settings

Settings determine all operational parameters of Readiris: document language, scanner model and settings, output mode and formatting options etc.

How to…?

  • As settings don’t change at every turn, they can be stored as default settings with the command Save Default Settings.

  • Settings are saved with the command Save Settings.

  • Settings are loaded with the command Load Settings.


Edit Menu

Operation

  • Most commands concern the text, graphic and table windows. You can delete, cut, copy and paste zones! Handy shortcut keys are available for these commands.

  • Some commands concern the composition of multipage documents. You can delete pages from and move pages inside multipage documents.

Selecting windows

  • To select a window, choose the arrow tool and click inside a window. Markers appear at each corner and in the middle of the window sides.

  • To select additional windows, hold down the Shift key while you click inside the window. To select a window and the included windows (of the other type), hold down the Ctrl key while clicking inside the main window.

  • Select the command Select All to select all windows.

  • To unselect windows, click the mouse button elsewhere.

How to…?

  • Select the command Copy to copy the selected window(s) into an internal buffer.

  • Select the command Paste to paste the contents of the internal buffer. The inserted windows are inserted in their original location. Drag them to another location.

  • Select the command Cut to cut the selected window(s) to an internal buffer.

  • Select the command Clear to delete the selected window(s) irretrievably.

  • Select the command Select All to select all windows.

  • Select the command Undo to cancel the previous command.

Tip: right-click the mouse (Context menu) and select the command Delete Window to delete all selected windows and the window under the mouse cursor.

Tip: the command Delete Small Windows deletes all windows with a side smaller than 0.5” and re-sorts the remaining zones.

Tip: right-click the mouse (Context menu) and select the command Undo to cancel the previous command.


Delete Small Windows

Operation

Deleting all small windows is useful to erase small dots, black page borders etc. that got picked up by the page analysis.

How to...?

This option erases all windows with a side smaller than 0.5” and re-sorts the remaining zones.

Tip: use the command Undo to cancel the operation or click the Analyze Page button to re-execute the page analysis.


Character Pitch

  • Select the fixed pitch if the characters have the same width.

  • Select the proportional pitch if the width of the letters depends on their shape.

  • This command does not apply to Asian documents.

Tip: select Automatic to have Readiris detect the character pitch for you.


Detect Page Orientation

Operation

Readiris can detect the page orientation automatically and rotate the image when needed.

An example: you’re scanning a document where most pages have the portrait orientation but some are landscape because they contain large tables.

How to...?

This option determines whether pages which were scanned at a 90°, 180° or 270° angle will be rotated left, right or turned upside down automatically before the page analysis and recognition begin.

Tip: detecting the page orientation takes a few seconds. Leave this option disabled when you are sure no image rotation is required.

Tip: the page deskewing (if enabled) takes place before the detection of the page orientation.


Enable Wizard on Toolbar

  • When this option is enabled, you’ll find the OCR Wizard button on the main toolbar, when it is disabled, the same button acts as Auto button to trigger automatic recognition.

  • The OCR wizard offers a semi-automatic way of recognizing pages: it guides you through the OCR process comfortably. Answer a few simple questions and you’ll obtain quick and easy results.

Tip: you can make the OCR wizard start running each time you start up Readiris with the option Enable Wizard on Startup. (It is enabled by default.)


Enable Wizard on Startup

Operation

  • When this option is enabled, the OCR wizard starts running each time you start up Readiris.

  • The OCR wizard offers a semi-automatic way of recognizing pages: it guides you through the OCR process comfortably. Answer a few simple questions and you’ll obtain quick and easy results.

How to…?

  • This option is enabled by default.

  • The option Enable Wizard on Startup in the first screen of the wizard has the same effect.

Tip: you can place the OCR wizard on the main toolbar with the option Enable Wizard on Toolbar.


View Menu

Is available only when an image is displayed on-screen.

Zoom levels

Zoom levels are useful to verify the scanning quality and to window the scanned image comfortably.

  • Fit to Window displays the document entirely. You see the various text blocks, tables and graphics in relation to each other.

  • Fit to Width displays the entire width of the document.

  • 50% Actual Size, Actual Size and 200% Actual Size display the document at its real size, at half size and at double that size. At actual size, a screen pixel corresponds to an image pixel.

Tip: toggle between Actual Size and Fit to Window by double-clicking the right mouse button.

Tip: all zoom levels are available by right-clicking the mouse (Context menu).

Rotation

Rotate Left, Rotate Right and Turn Upside Down rotate the document 90° to the left, 90° to the right and 180°.

Tip: Readiris can detect the page orientation for you!

Tip: Readiris indicates in the page toolbar which pages were rotated automatically (but not which pages were rotated manually by the user)!

Tip: the page analysis is re-executed when you rotate an image!

Displaying documents in color

This option determines whether you display the images in greyscale-color or in black-and-white.

Previous Page - Next Page

You go to the previous and next page inside a multipage document.

Coordinates

Minor diagnostic option. Displays the coordinates of the mouse cursor in document pixels.


Scan - Open

  • Scans a document or opens prescanned images, depending on your input source.

  • Enable the scanner’s document feeder (ADF) to scan multipage documents. All pages in the document feeder will be scanned and considered part of a single document.

  • Readiris opens black-and-white, greyscale and color images. JPEG, Paintbrush (PCX), (compressed) TIFF and Windows bitmap (BMP) images are supported. Prescanned images are mainly faxes and images produced by digital cameras.

  • Pay some attention to lineskew. Although page analysis and recognition are skew-tolerant, it may become difficult to zone and recognize a page correctly when the skew is too significant. Tip: Readiris can deskew pages scanned at an angle!

  • Verify the page orientation. If necessary rotate the images with the rotation tools. Tip: Readiris can detect the page orientation for you!

Tip: right-click images (Context menu) in the Windows Explorer and select the command Recognize. You can also drag them from the Windows Explorer onto the Readiris window and the Readiris icon.


Sort

Sorting windows

  • Arrows indicate which windows are included in the output and their sort order.

  • Sorting is very useful to correct the results of the page analysis.

  • Click inside a window to define their sequence.

  • The windows you don’t click on won’t be recognized!

Tip: you can force the system to (re-)execute page decomposition with the command Analyze Page.

Tip: the command Delete Small Windows deletes all windows with a side smaller than 0.5” and re-sorts the remaining zones.

Page analysis with manual windowing

  • Apply page analysis to detect the windows and sort the ones you want to include.

  • Start drawing windows manually - all windows you didn’t select are erased.

Tip: you can display the sort order, type and coordinates of a window by pressing the Alt key while you select it!


Recognize

Operation

  • Starts the character recognition.

  • Click the Stop button (or press Escape) to interrupt.

  • If learning is enabled, you’ll enter the interactive phase. (Learning does not apply to Asian documents.)

  • Send the recognized text to a target application, copy it to the clipboard or save it in a text file. You can create a new file or append an existing text file.

  • If you have enabled autoformatting with the option Recreate Source Document, the graphic windows may be saved inside the wordprocessor file. Otherwise, use the command Save Graphics to save the graphic zones only.

  • If the page analysis detected tables and the word and paragraph formatting are retained or the source document is recreated, they get recreated as table objects inside the wordprocessor file.

Recognizing multipage documents

  • The pages are displayed successively; the title bar indicates the page number.

  • If the interactive learning is enabled, you go through the learning page by page. (The dictionary mode “New” is used for the first page and the mode “Append” for the successive pages.)

  • The recognition result is saved in a single output file. If you send the recognition result to a target application, various pages are created.


Adjust Image

Operation

  • Intelligent routines automatically convert color and greyscale images into black-and-white, but you can optimize the images for the OCR process.

  • Any image you adjust is displayed in black-and-white. Quit this command and the image is redisplayed in color or greyscale.

Smoothen color image

Renders greyscale and color images more homogeneous by “flattening”, smoothing out relative differences in intensity. As a result, a sharper contrast is created between the foreground (text) and background (artwork).

Brightness

The setting Automatic determines the bilevel threshold automatically. Apply a different threshold when necessary by darkening or lightening the black-and-white image.

Despeckle

Removes the small spots (“parasite” pixels or “salt and pepper noise”) from black-and-white images.


Font Dictionary

Operation

Font dictionaries contain font information the system learns during the interactive learning.

When you recognize many documents of the same type, you may not want to repeat the same learning process every time. Store the learnt characters in a dictionary and use that information when you recognize documents of the same type.

Commands

  • Select or define a font dictionary.

  • Don’t forget to set the appropriate dictionary mode: New Dictionary creates a new dictionary, you start without any previous knowledge. Append Dictionary uses the previously learnt font information and completes it. Read Dictionary uses the previously learnt font information but does not complete it further.

Tip: if you have only one page to be recognized, select the new mode. If you have many pages of the same type - pages with the same font and printing quality - select the new mode for the first page, the append mode for a few pages more and the read mode for the rest of your document(s).

Tip: with multipage documents, the dictionary mode “new” is used for the first page and the mode “append” for the successive pages.


New, Append or Read Dictionary

Select the appropriate mode for the font dictionary:

  • New Dictionary creates a new dictionary. You start without any previous knowledge.

  • Append Dictionary uses the previously learnt font information and completes it.

  • Read Dictionary uses the previously learnt font information but does not complete it further.

Tip: if you have only one page to be recognized, select the new mode. If you have many pages of the same type - pages with the same font and printing quality - select the new mode for the first page, the append mode for a few pages more and the read mode for the rest of your document(s).

Tip: with multipage documents, the dictionary mode “new” is used for the first page and the mode “append” for the successive pages.


Interactive Learning

  • Enables the learning phase, where Readiris acquires new font information.

  • Disable learning when the recognition rate is excellent.

  • Learning is always disabled with automatic OCR and when Asian documents are read.


Register Your Readiris Licence

Why you should register

  • Registering allows us to keep you informed of future product developments and related I.R.I.S. products.

  • Registering entitles you to free product support and special offers.

  • Depending on the software bundle, you’ll receive the softkey in return as may be needed to continue using Readiris after one month.

How to...?

Registration wizard

Click to start the registration wizard.

Mail

Send in your registration card.

WWW

Click here to access the Readiris registration form on the I.R.I.S. web site.

Fax

If you lost your registration card, or if the software documentation was supplied in electronic form only, print the Readiris registration form and send or fax it to I.R.I.S.

Europe: 32-10-45 34 43

USA: 1-561-347 6267

Telephone

Telephone I.R.I.S. during working hours.

Europe: 32-10-45 13 64 (all major languages)

USA: 1-561-395 7831 / 800-447-4744


Help Menu

Help Topics

Provides general information on OCR and reference information on Readiris.

Product Support

Informs you about the product support offered by I.R.I.S.

Contact I.R.I.S.

Gives the coordinates of the I.R.I.S. offices.

I.R.I.S. on the Internet

Click here to access the I.R.I.S. home page.

About Readiris

Displays the Readiris startup screen with the copyright notices. Click to make it disappear.


How to Get Product Support

Free technical support is offered to all registered customers. (Registering also entitles you to special offers.)

Europe

Hotline: 32-10-45 13 64 (working hours) (all major languages)

Fax: 32-10-45 34 43

USA

Hotline: 1-561-395-7831 / 800-477-4744 (working hours)

Fax: 1-602-507 3418

WWW

www.irislink.com/support.html (troubleshooting info)

Click here to access the troubleshooting info.

E-mail

support@irislink.com


How to Get in Touch with I.R.I.S.

Head Office (Belgium)

Phone: 32-10-45 13 64

Fax: 32-10-45 34 43

I.R.I.S. on the Internet

I.R.I.S. home page: http://www.irislink.com

Readiris web site: http://www.readiris.com

On-line shop: http://shop.irislink.com

E-mail info: info@irislink.com

E-mail sales: sales@irislink.com

E-mail support: support@irislink.com

USA Office (East Coast)

Phone: 1-561-395 7831 / 800-447-4744

Fax: 1-561-347 6267

USA Office (West Coast)

Phone: 1-480-854-3111 / 800-7USAIRIS

Fax: 1-480-854-2929

France Office

Phone: 0810-00 19 27

Fax: 0810-42 41 43


Software Option

Reading Asian documents

The software option “Asian OCR Add-On” offers recognition of the Asian languages Japanese, Simplified Chinese, Traditional Chinese and Korean.

Tip: a large number of Asian languages such as Malay, Tagalog etc. are supported by the “standard” Readiris software because they use the Latin alphabet!

What it takes - the working environment

  • To view and edit Asian documents, you can use Word 2002 (Office XP) or Word 2000 (Office 2000) or install a localized Asian version of the Windows operating system.

  • Alternatively, you can run specialized “emulating” (or “overlay”) software such as UnionWay AsianSuite or TwinBridge AsianBridge on a Western version of Windows to correctly represent the ideograms of these languages.

Acquiring it

Contact I.R.I.S. to obtain this software option.


A word about the Asian Languages

Software option - character sets

  • Readiris optionally offers recognition of four Asian languages: Japanese, Simplified and Traditional Chinese and Korean.

  • Contrary to the Latin, Greek and Cyrillic alphabets, these languages use small icons (“ideograms”), not letters, to represent reality.

(Simplified and Traditional) Chinese

  • Chinese script is derived from picture writing. It is written with thousands of distinctive characters called “ideograms” or “pictograms” which have no relation to the sound of a word.

  • The earliest Chinese characters were pictographs, such as a crescent for the moon, or a circle with a dot in the center to represent the sun. Gradually these gave way to non-pictorial ideograms which, in addition to standing for tangible objects, also represented abstract concepts.

  • The majority of Chinese characters consist of two elements: a “signific”, which indicates the meaning of a word, and a “phonetic”, which indicates the sound.

  • In a large dictionary there are 40,000 to 50,000 characters, while the telegraphic code book contains nearly 10,000 symbols. Some 3,000 symbols are used on a daily basis.

  • Simplified Chinese is a simplified version of the “traditional” Chinese; the 500 most common symbols were simplified. Simplified Chinese is used on China’s mainland, Traditional Chinese is used by the “Big 5” communities - Hong Kong, Taiwan, Singapore etc.

Japanese

  • The Japanese writing system actually uses a mix of alphabets: the phonetic character sets are called Hiragana and Katakana, and the ideograms, Chinese in origin, are called Kanji. In normal Japanese writing, Hiragana and Kanji are used, while Katakana is used for words borrowed from the (non-Chinese) foreign languages.

  • Japanese is generally written vertically and from right to left, but many texts today are written horizontally to permit the inclusion of English words, Arabic numerals and mathematical and chemical formulas.

  • An educated person can read about 10,000 Kanji symbols; the government has published a list of 1,850 that it considers basic.

Korean

  • Korean is not related to Chinese, although it has used the Chinese characters, together with the Korean alphabet, for many centuries.

  • The Korean alphabet (“Hangul” script), invented in the years 1443-46, is the only true alphabet native to the Far East.


Readiris Registration Form

Serial number licence

Identification number licence

Company

Name

Department

Title

Address

Zip Code / City

State / Country

Telephone

Fax

E-mail

Place of purchase

Purchase date

Date

Image Recognition Integrated Systems

Product Registration

Rue du Bosquet 10, 1348 Louvain-la-Neuve (Belgium)

Tel: 32-10-45 13 64 - Fax: 32-10-45 34 43

1600 N.W. Boca Raton Bld. Suite 20

Boca Raton, FL 33432 (USA)

Tel: 1-561-395 7831 / 800-447-4744 - Fax: 1-561-347 6267

Support: support@irislink.com


.topic 0x10000000
 brightness   The balance of light and dark colors in an image. Scanner function to lighten and darken the image data.
.topic 0x10000002
 compression   Reduction of the amount of storage space required to save an image. Compressed images are saved more efficiently, resulting in smaller files. For some file formats (such as JPEG), compression also results in loss of image quality. Compressed images take longer to open because they must be decompressed first.
.topic 0x10000003
 contrast   The relative difference between the dark and light portions of an image. Scanner function or button to lighten and darken the image data.
.topic 0x10000006
 dpi   Short for "dots per inch". Unit of measure that indicates the image resolution in number of dots per linear inch. The higher the value, the higher the resolution.
.topic 0x10000008
 image   The bitmapped result of scanning a document. Using hardware, the document is converted into a collection of dots stored in a file that can be processed by the computer.
.topic 0x10000009
 kerning   In printed texts, some letter pairs have more space between them than others because of their shape and slate. Pair kerning automatically reduces the space between such letter pairs to enhance their appearance. Otherwise, they would be spaced too close or too far apart to be aesthetically pleasing.       While the first "WA" and "LT" are non-kerned letter pairs, the second "WA" and "LT" are clearly kerned.
.topic 0x1000000b
 marker   Small rectangle at the window corners and in the middle of the window sides. Markers indicate that the window is selected.
.topic 0x1000000d
 pixel   Short for "picture element". The smallest distinguishable square dot to compose a bitmapped picture. The higher the resolution, the smaller the pixels.
.topic 0x10000011
 resolution   A measure of the fineness of detail that the scanner produces. The number of pixels of an image file is expressed in dots per linear inch. The higher the resolution, the sharper the image.
.topic 0x10000012
 scanner   Electronic input device designed to digitize images. Converts physical pictures into bitmapped graphic files that can be processed by a computer.
.topic 0x10000013
 scanner standard   International communication protocol used by several scanner manufacturers to standardize interfacing between software and scanner. Twain is a major example.


Useful Commands Adobe Acrobat (Reader)

Toolbar - Text Select

This command selects text on-screen. You can then execute “copy and paste” operations to transfer text bits to other applications.

Alternative: use the command Save As under the File menu of the Adobe Acrobat software to save the text from “text-image” PDF files to an RTF file.

Toolbar / Tools menu - TouchUp Text

  • This command allows to “touch up” the text held in PDF files.

  • Use it to correct small recognition errors that occurred because of a very low document quality.

File menu - Save As - RTF

This command allows to save the text from “text-image” PDF files to an RTF file.

Tip: select the command Preferences - Table/Formatted Text under the Edit menu of the Adobe Acrobat software and select the tab RTF Export to determine a few export options.

Alternative: select text on-screen with the Text Select tool on the toolbar of the Adobe Acrobat software and execute “copy and paste” operations.

Toolbar / Edit menu - Find

The Find command finds complete words or word parts in the current PDF document. Acrobat looks for the word by sequentially reading every word on every page in the file.

Toolbar / Edit menu - Search

The Search command allows you to perform advanced and fast searching on a collection of indexed PDF documents:

  • Search for a simple word or phrase

  • Expand your search query by using wildcard characters and Boolean operators

  • Use the search options to refine your search further

Warning: not all versions of the Adobe Acrobat Reader software include the search function!

Warning: index-based searching implies that the “full-text” index was created for a collection of PDF files (with the command Catalog of the Adobe Acrobat software). A “full-text” index is an alphabetized list of every word used in a document or a series of documents.

Advantage: index-based searching is much faster than the Find command. Acrobat goes right to the word in the list rather than progressively reading through the documents.

How it works: refer to the documentation that came with your Adobe Acrobat (Reader) software to learn how searching works.

Edit menu - Preferences - Table/Formatted Text - RTF Export

  • The tab RTF Export determines a few export options for RTF files.

  • They apply when text is extracted from “image-text” PDF files to RTF files with the command Save As under the File menu of the Adobe Acrobat software.

  • These formatting options are very limited in scope. If your objective is to create “text-only” PDF files, you should use the format PDF Text of Readiris. The formatting of those files is much richer than RTF exports of “image-text” PDF files by Adobe Acrobat.


Dot Matrix Printing

With “draft dot matrix printing”, texts are printed on a matrix printer and you can still distinguish the individual dots that compose a symbol. Also called “9 pin” dot matrix.

With “letter quality dot matrix printing”, you can no longer distinguish the individual dots that compose a symbol. The printing quality approaches the quality of a laser printer. Also called “NLQ” or “25 pin” dot matrix.


Drop Letter

Large capital letter that covers several lines of text. “Dropped” caps are used to emphasize the beginning of a paragraph or section.


Fixed and Proportional Fonts

With fixed fonts, each character of the typeface has the same width. An “i” takes up as much horizontal space on a line as a “w”. Also called “monospaced” fonts. Documents produced with old typewriters have a fixed pitch.

Proportional fonts allow the characters of the typeface to have a different width. A “w” will take up more horizontal space on a line than an “i”. Virtually all fonts you find in newspapers, magazines and books are proportional.


Image Types

The color mode determines the color palette of an image. There are black-and-white images (1 bit depth), greyscale images (8 bit depth) and color images (24 bit depth).

Black-and-white images exclusively contain black and white pixels. Black-and-white images are also called bilevel and lineart images. They can use black and white patterns to simulate shades of grey (“halftoning”).

Greyscale images contain shades of grey. A range of 256 grey levels from white to black is used to compose the image.

Color images consist of pixels with different mixtures of red, green, and blue. Each mixture represents a different color. As there are 8 bits per pixel for the red, green, and blue “channel”, you get a color range of up to 16.7 million colors (“true” colors).


Kerning

In printed texts, some letter pairs have more space between them than others because of their shape and slate. Pair kerning automatically reduces the space between such letter pairs to enhance their appearance. Otherwise, they would be spaced too close or too far apart to be aesthetically pleasing.

While the first “WA” and “LT” are non-kerned letter pairs, the second “WA” and “LT” are clearly kerned.


How to Process Low-Resolution Images

Operation

  • Optimal OCR requires a resolution between 300 and 400 dpi.

  • By default, Readiris issues a warning when you’re submitting images with a resolution lower than 200 dpi or higher than 800 dpi.

Tip: should you have any influence over your correspondents, ask them to send faxes with the “fine” quality - those faxes have the higher resolution of 200 dpi and will yield better OCR results.

Digital Camera

Enable this option when the images were produced by a digital camera!

Force to 300 dpi

This option eliminates the warning that you’re submitting images with a resolution lower than 200 dpi or higher than 800 dpi.

Use this option to read faxes - which have a resolution of 100 or 200 dpi -, to read images generated with a digital camera - where the resolution is unknown - and to open images where the file header contains an incorrect resolution.


Page Analysis

Page analysis is the detection and sorting of the various zones occur on a scanned page. There are three zone types: text, graphic zones containing photos, artwork etc. and table zones.

Page decomposition is particularly useful when columnized texts and documents with a complex page layout are OCRed.

Page analysis is skew-tolerant and highly accurate - it detects irregular shapes.


Point

Typographical unit of measure that describes the font size. A point equals 1/72 inch. Putting things the other way around: a point corresponds to 0.014 inch (0.35 mm).

The height of the lowercase “x” of a typeface serves as base for the measurement.


Register Menu

Registration Wizard

Click to start the registration wizard.

Purchase Info

Gives information on how to purchase a software licence from I.R.I.S.

Register

Gives access to registration info as may be needed to get a softkey from I.R.I.S.


Topological Analysis

Readiris analyzes the segmented characters as human beings unconsciously do: a number of features - strokes, loops, holes, nodes, angles etc. - are extracted and checked against a predefined or learnt source of knowledge.

Topological analysis is to a large extent independent from the character size.


Making Good Use of Adobe Acrobat PDF Files

This topic gives detailed information about the PDF format supported by Readiris and ways in which you can make good use of the PDF files.

File formats

  • The format PDF Text creates a searchable PDF file that contains the text (and possibly graphic zones for photographs, artwork etc). The page image is not contained in the single-layered PDF file.

  • The format PDF Image-Text creates a searchable PDF file that contains the page image and the recognized text. The page image is contained in the two-layered PDF file above the text.

Note: compression is used for all elements. Black-and-white images are TIFF G4 compressed, greyscale and color images are JPEG files (with (0.8) high quality). The text is compressed using the Gzip mode.

Advantages

  • “Text only” PDF files are much more compact than image files!

  • Text-based PDF files are searchable. (Bitmap images - “image only” PDF files - can be viewed but not searched.)

  • Text-based PDF files are editable. (Bitmap images can be viewed but not edited.)

Editing the recognized text

The recognized text can obviously be edited and re-used. (Bitmap images can be viewed but not edited.)

Use the TouchUp Text tool of the Acrobat software to correct small recognition errors in the PDF file.

Tip: it takes the appropriate version of Acrobat (Reader) to correctly display the resulting PDF files! To view and print Central-European texts (such as Czech and Polish), Baltic texts, Turkish and Cyrillic (“Russian”) texts in the PDF format, you must have the special “CE” version (Central-European) of the Acrobat (Reader). (You can find this software on the Readiris CD-ROM.)

Exporting text to other applications

  • You can isolate the text from an “image-text” PDF file. You can also convert text-only PDF files into RTF files. Open the file with Adobe Acrobat and use the command Save As to save it in an RTF text file.

  • To re-use small text portions from a PDF file in other applications, select the Text Select tool of the Adobe Acrobat software, select the required text and copy-paste it to another application. (Select the tool Table/Formatted Text to maintain the text formatting.) (The command Select All selects all text of the current page, not of the entire PDF file.)

Intelligent searching

Use the Find command of your Acrobat (Reader) software for simple searches within a document, use the Search command for advanced searching across several PDF documents.

Warning: not all versions of the Adobe Acrobat Reader software include the Search function!

Searching for words

The button Find of the Adobe Acrobat (Reader) software finds complete words or word parts in the current PDF document. Acrobat looks for the word by sequentially reading every word on every page in the file.

Searching on indexes

The button Search of the Adobe Acrobat (Reader) software allows you to perform advanced and fast searching on a collection of indexed PDF documents.

    • You can search for a simple word or phrase.

    • You can expand your search query by using wildcard characters and Boolean operators.

    • You can use the search options to refine your search further.

Index-based searching implies that the “full-text” index was created for a collection of PDF files with the command Catalog. (A “full-text” index is an alphabetized list of every word used in a document or a series of documents. Index-based searching is much faster than the Find command: Acrobat goes right to the word in the list rather than progressively reading through the documents.)